package edu.ntnu.item.jt.VMware.errors;

/**
 * A generic representation of a VMware Vix related exception.
 * 
 * Stores an error text and error code provided by Vix.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public abstract class VMWareException extends Exception {
	
	private long errCode;

	public VMWareException(String reason, long errCode){
		super(reason);
		this.errCode = errCode;
	}
	
	/**
	 * Getter for the Vix error code.
	 * 
	 * @return error code supplied by Vix.
	 */
	public long getErrCode() {
		return errCode;
	}
}
