package edu.ntnu.item.jt.system;

/**
 * Interface for all classes that are to handle scan threads (i.e. accept results from scan threads)
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public abstract interface ScanThreadCallback {
	
	/**
	 * Callback method for scan threads.
	 * 
	 * Signals that the calling thread has finished the scan.
	 * 
	 * @param sr result of the scan for the reporting engine.
	 */
	public void reportResult(ScanResult sr);
	
}
