package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;

/**
 * Annotated bean for storing information about a anti-virus engine.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public class AVEngineBean {
	
	@Attribute
	private String name;
	
	@Element(name="avExecutablePath")
	private String executablePath;
	
	@Element(name="avParameters")
	private String parameters;
	
	@Element(name="avLogFilePath")
	private String remoteLogFilePath;
	
	@Element(name="avLogFilter", required=false)
	private FilterBean filter;
	
	@Element(name="avUpdateInfo", required=false)
	private AVUpdateInfoBean avUpdate;
	
	@Element(name="realTimeScan", required=false)
	private AVRealTimeScanBean realtimeScanBean;
	
	public AVEngineBean() {
		
	}

	public AVRealTimeScanBean getRealtimeScanBean() {
		return realtimeScanBean;
	}

	public void setRealtimeScanBean(AVRealTimeScanBean realtimeScanBean) {
		this.realtimeScanBean = realtimeScanBean;
	}

	public AVUpdateInfoBean getAvUpdate() {
		return avUpdate;
	}

	public void setAvUpdate(AVUpdateInfoBean avUpdate) {
		this.avUpdate = avUpdate;
	}

	public String getName() {
		return name;
	}

	public String getParameters() {
		return parameters;
	}

	public FilterBean getFilter() {
		return filter;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setParameters(String parameters) {
		this.parameters = parameters;
	}

	public void setFilter(FilterBean filter) {
		this.filter = filter;
	}

	public String getExecutablePath() {
		return executablePath;
	}

	public void setExecutablePath(String executablePath) {
		this.executablePath = executablePath;
	}

	public String getRemoteLogFilePath() {
		return remoteLogFilePath;
	}

	public void setRemoteLogFilePath(String remoteLogFilePath) {
		this.remoteLogFilePath = remoteLogFilePath;
	}

	
	
}
