package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;

/**
 * 
 * Annotated bean containing information about a dynamic analysis tool.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
@Root (name="dynamicAnalysisTool")
public class DynamicAnalysisToolBean {

	@Attribute(name="toolName")
	private String name;
	
	@Element(name="toolExecutablePath")
	private String toolExecutablePath;
	
	@Element(name="toolParameters", required=false)
	private String toolParameters;
	
	@Element(name="toolResultFilePath", required=false)
	private String toolResultFilePath;

	@Element(name="executeMalwareExplicitly", required=true)
	private boolean executeMalwareExplicitly;
	
	public DynamicAnalysisToolBean() {
		
	}
	
	public boolean getExecuteMalwareExplicitly() {
		return executeMalwareExplicitly;
	}

	public void setExecuteMalwareExplicitly(boolean executeMalwareExplicitly) {
		this.executeMalwareExplicitly = executeMalwareExplicitly;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getToolExecutablePath() {
		return toolExecutablePath;
	}

	public void setToolExecutablePath(String toolExecutablePath) {
		this.toolExecutablePath = toolExecutablePath;
	}

	public String getToolParameters() {
		return toolParameters;
	}

	public void setToolParameters(String toolParameters) {
		this.toolParameters = toolParameters;
	}

	
	public String getToolResultFile() {
		return toolResultFilePath;
	}

	public void setToolResultFile(String toolResultFile) {
		this.toolResultFilePath = toolResultFile;
	}
	
	
	
}
