package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;
import org.simpleframework.xml.load.*;
import java.util.ArrayList;
import java.io.File;

/**
 *  Annotated bean for storing information about a the powerscan system.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
@Root(name="PowerScan")
public class PowerScanBean {

	
	@ElementList(name="VMwareHostList")
	private ArrayList<VMwareHostBean> VMWareHosts;

	public ArrayList<VMwareHostBean> getVMWareHosts() {
		return VMWareHosts;
	}
	
	public void setVMWareHosts(ArrayList<VMwareHostBean> wareHosts) {
		VMWareHosts = wareHosts;
	}

	public static void main(String[] args) throws Exception{
		Serializer serializer = new Persister();
		File source = new File("config\\config.xml");
		
		PowerScanBean ac = serializer.read(PowerScanBean.class, source);
		
		ArrayList<VMwareHostBean> hosts = ac.getVMWareHosts();
		for(VMwareHostBean host: hosts){
			System.out.println(host.getHost());
			System.out.println(host.getUsername());
			System.out.println(host.getPassword());			
			ArrayList<VMBean> vmbean = host.getVirtualMachines();
			for(VMBean vm: vmbean){
				System.out.println(vm.getVmxPath());
				System.out.println(vm.getUsername());
				System.out.println(vm.getPassword());
				
				AVEngineBean engine = vm.getAvEngine();
			}
		}
	}
		
}