package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;
import java.util.ArrayList;

/**
 * 
 *  Annotated bean for storing information about a virtual machine.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
@Root (name="VM")
public class VMBean {
	
	@Attribute
	private String vmxPath;
	
	@Element(name="vmUsername")
	private String username;

	@Element(name="vmPassword")
	private String password;
	
	@Element(name="avEngine", required=false)
	private AVEngineBean avEngine;
	
	@ElementList(name="analysisTools", required=false)
	private ArrayList<DynamicAnalysisToolBean> analysisTools;
	
	
	
	public ArrayList<DynamicAnalysisToolBean> getAnalysisTools() {
		return analysisTools;
	}


	public void setAnalysisTools(ArrayList<DynamicAnalysisToolBean> analysisTools) {
		this.analysisTools = analysisTools;
	}


	public String getVmxPath() {
		return vmxPath;
	}

	
	public AVEngineBean getAvEngine() {
		return avEngine;
	}

	public void setName(String vmxPath) {
		this.vmxPath = vmxPath;
	}

	
	public String getUsername() {
		return username;
	}


	public void setUsername(String username) {
		this.username = username;
	}


	public String getPassword() {
		return password;
	}


	public void setPassword(String password) {
		this.password = password;
	}


	public void setVmxPath(String vmxPath) {
		this.vmxPath = vmxPath;
	}


	public void setAvEngine(AVEngineBean avEngine) {
		this.avEngine = avEngine;
	}

	
	
}
