package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;
import java.util.ArrayList;

/**
 * Annotated bean for storing information about a VMware host (server).
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
@Root (name="VMwareHost")
public class VMwareHostBean {
	
	@Attribute
	private String host;
	
	@Element(name="hostPortNumber")
	private int portnumber;
	
	@Element(name="hostUsername")
	private String username;
	
	@Element(name="hostPassword")
	private String password;
	
	@ElementList(name="vmList")
	private ArrayList<VMBean> virtualMachines;

	public String getHost() {
		return host;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public ArrayList<VMBean> getVirtualMachines() {
		return virtualMachines;
	}

	public void setVirtualMachines(ArrayList<VMBean> virtualMachines) {
		this.virtualMachines = virtualMachines;
	}


	public void setHost(String host) {
		this.host = host;
	}

	public int getPortnumber() {
		return portnumber;
	}

	public void setPortnumber(int portnumber) {
		this.portnumber = portnumber;
	}
		
}
